Botan 1.10.17

divide.h
Go to the documentation of this file.
1 /*
2 * Division
3 * (C) 1999-2007 Jack Lloyd
4 *
5 * Distributed under the terms of the Botan license
6 */
7
8 #ifndef BOTAN_DIVISON_ALGORITHM_H__
9 #define BOTAN_DIVISON_ALGORITHM_H__
10
11 #include <botan/bigint.h>
12
13 namespace Botan {
14
15 /**
16 * BigInt Division
17 * @param x an integer
18 * @param y a non-zero integer
19 * @param q will be set to x / y
20 * @param r will be set to x % y
21 */
22 void BOTAN_DLL divide(const BigInt& x,
23 const BigInt& y,
24 BigInt& q,
25 BigInt& r);
26
27 }
28
29 #endif
Botan::divide
void divide(const BigInt &x, const BigInt &y_arg, BigInt &q, BigInt &r)
Definition: divide.cpp:34
Botan
Definition: algo_base.h:14